-- переименовываем Параметры с одинаковыми именами для типов работ по ТУ
update TCWorkTypeParams set ParamName = ParamName + CAST ( ParamNum AS nvarchar(10) ) where exists
	(select 1 from TCWorkTypeParams tally where tally.WorkTypeID = TCWorkTypeParams.WorkTypeID AND tally.ParamName = TCWorkTypeParams.ParamName AND tally.ParamNum <> TCWorkTypeParams.ParamNum)

GO
-- удаляем связь, пусть всем распоряжается NHibernate, иначе конфликтуют почему-то (пытается удалять в обратном порядке)
declare @table_name nvarchar(50)
declare @strSQL nvarchar(1024)

set @table_name=N'TCContractBinaries'
set @strSQL=''
select @strSQL = @strSQL + ' ALTER TABLE ' + @table_name + ' DROP CONSTRAINT '+ object_name(FK_Tab.id) 
from sysobjects FK_Tab 
where xtype = 'F' AND object_id(@table_name)=parent_obj 

if @strSQL<>''  exec (@strSQL)
GO

-- увеличиваем длину поля в PowerOutlets
alter table PowerOutlets alter column Name nvarchar(200)
GO
-- стоимости работ по ТУ - справочная часть
create table TCWorkTypeCosts
(
	ID		int IDENTITY(1,1),
	Description	nvarchar(200) NOT NULL,
	CostSum		decimal(18,2),
	CostMaterial	decimal(18,2),
	CostMechanical	decimal(18,2),   	
	PRIMARY KEY(ID)
)
GO
alter table TCWorkTypes add CostID int
alter table TCWorkTypes add CostExpr nvarchar(200)
GO
ALTER TABLE TCWorkTypes
	ADD FOREIGN KEY (CostID)
	REFERENCES TCWorkTypeCosts(ID)	
GO
SET IDENTITY_INSERT Характеристики_полей ON
INSERT INTO Характеристики_полей(Код_характеристики,Имя_таблицы,Имя_поля,Используемое_поле,Используемая_таблица,Обозначение,Описание,Единица_измерения) 
	VALUES (448,'TCWorkTypeCosts','CostSum',NULL,NULL,'Сметная стоимость', NULL, 'тыс.руб.')
INSERT INTO Характеристики_полей(Код_характеристики,Имя_таблицы,Имя_поля,Используемое_поле,Используемая_таблица,Обозначение,Описание,Единица_измерения) 
	VALUES (449,'TCWorkTypeCosts','CostMaterial',NULL,NULL,'Стоимость материалов', NULL, 'тыс.руб.')
INSERT INTO Характеристики_полей(Код_характеристики,Имя_таблицы,Имя_поля,Используемое_поле,Используемая_таблица,Обозначение,Описание,Единица_измерения) 
	VALUES (450,'TCWorkTypeCosts','CostMechanical',NULL,NULL,'Стоимость механизмов', NULL, 'тыс.руб.')

SET IDENTITY_INSERT Характеристики_полей OFF
GO